<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>magpar: field/bmatrix.c File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.3 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>File&nbsp;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
  <div class="navpath"><a class="el" href="dir_00a13ab5e3afe633796d5c180ae90994.html">field</a>
  </div>
</div>
<div class="contents">
<h1>bmatrix.c File Reference</h1><code>#include &quot;<a class="el" href="field_8h_source.html">field/field.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="bmatrix_8c_source.html">init/init.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="griddata_8h_source.html">griddata.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="util_8h_source.html">util/util.h</a>&quot;</code><br/>
<div class="dynheader">
Include dependency graph for bmatrix.c:</div>
<div class="dynsection">
<div class="center"><img src="bmatrix_8c__incl.png" border="0" usemap="#field_2bmatrix_8c_map" alt=""/></div>
<map name="field_2bmatrix_8c_map" id="field_2bmatrix_8c">
<area shape="rect" id="node3" href="field_8h.html" title="field/field.h" alt="" coords="79,86,164,117"/><area shape="rect" id="node5" href="griddata_8h.html" title="griddata.h" alt="" coords="163,166,240,197"/><area shape="rect" id="node17" href="util_8h.html" title="util/util.h" alt="" coords="239,86,308,117"/></map>
</div>
<div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dynsection">
<div class="center"><img src="bmatrix_8c__dep__incl.png" border="0" usemap="#field_2bmatrix_8cdep_map" alt=""/></div>
</div>

<p><a href="bmatrix_8c_source.html">Go to the source code of this file.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="bmatrix_8c.html#a6ef9ef50f16bc7123b3585a730fa9afa">VertBSA</a> (<a class="el" href="structGridData.html">GridData</a> *gdata, Vec vertbsa)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="bmatrix_8c.html#a02081555af5c4ef64cc4674f52b4d446">BMatrix</a> (<a class="el" href="structGridData.html">GridData</a> *gdata, Mat *Bmat)</td></tr>
</table>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="a02081555af5c4ef64cc4674f52b4d446"></a><!-- doxytag: member="bmatrix.c::BMatrix" ref="a02081555af5c4ef64cc4674f52b4d446" args="(GridData *gdata, Mat *Bmat)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int BMatrix </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structGridData.html">GridData</a> *&nbsp;</td>
          <td class="paramname"> <em>gdata</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Mat *&nbsp;</td>
          <td class="paramname"> <em>Bmat</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="bmatrix_8c_source.html#l00064">64</a> of file <a class="el" href="bmatrix_8c_source.html">bmatrix.c</a>.</p>

<p>References <a class="el" href="bele_8c_source.html#l00038">Bele()</a>, <a class="el" href="griddata_8h_source.html#l00214">GridData::bndfacvert</a>, <a class="el" href="griddata_8h_source.html#l00105">C_INT</a>, <a class="el" href="griddata_8h_source.html#l00109">D_EPS</a>, <a class="el" href="griddata_8h_source.html#l00212">GridData::ln_bnd_fac</a>, <a class="el" href="griddata_8h_source.html#l00171">GridData::ln_vert</a>, <a class="el" href="griddata_8h_source.html#l00075">MagparFunctionLogBegin</a>, <a class="el" href="griddata_8h_source.html#l00076">MagparFunctionLogReturn</a>, <a class="el" href="griddata_8h_source.html#l00164">GridData::n_vert</a>, <a class="el" href="griddata_8h_source.html#l00210">GridData::n_vert_bnd</a>, <a class="el" href="griddata_8h_source.html#l00093">ND</a>, <a class="el" href="griddata_8h_source.html#l00096">NN</a>, <a class="el" href="printmatinfo_8c_source.html#l00092">PrintMatInfoAll()</a>, <a class="el" href="progressbar_8c_source.html#l00029">ProgressBar()</a>, <a class="el" href="griddata_8h_source.html#l00213">GridData::vertbndg2bnd</a>, <a class="el" href="bmatrix_8c_source.html#l00028">VertBSA()</a>, <a class="el" href="griddata_8h_source.html#l00179">GridData::vertl2g</a>, and <a class="el" href="griddata_8h_source.html#l00178">GridData::vertxyz</a>.</p>

<p>Referenced by <a class="el" href="hdemag_8c_source.html#l00067">Hdemag_Init()</a>.</p>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="bmatrix_8c_a02081555af5c4ef64cc4674f52b4d446_cgraph.png" border="0" usemap="#bmatrix_8c_a02081555af5c4ef64cc4674f52b4d446_cgraph_map" alt=""></div>
<map name="bmatrix_8c_a02081555af5c4ef64cc4674f52b4d446_cgraph_map" id="bmatrix_8c_a02081555af5c4ef64cc4674f52b4d446_cgraph">
<area shape="rect" id="node3" href="bele_8c.html#affb52b9f2b0f2fd0d97c0519704464c8" title="Bele" alt="" coords="300,5,348,35"/><area shape="rect" id="node7" href="printmatinfo_8c.html#a8c62a6053be02438e1bf2da1efa06f1f" title="PrintMatInfoAll" alt="" coords="121,163,228,194"/><area shape="rect" id="node14" href="progressbar_8c.html#afac4bb91f0e22a14a209a0f60113654d" title="ProgressBar" alt="" coords="128,110,221,141"/><area shape="rect" id="node16" href="bmatrix_8c.html#a6ef9ef50f16bc7123b3585a730fa9afa" title="VertBSA" alt="" coords="139,57,211,87"/><area shape="rect" id="node5" href="solidangle_8c.html#a11f1b219c8bea88b0d4efaa49d9e109e" title="PointFromPlane" alt="" coords="420,31,532,62"/><area shape="rect" id="node9" href="namespacegmshtoucd.html#af68c1546c900f7a17a20835183320d61" title="gmshtoucd::info" alt="" coords="419,163,533,194"/><area shape="rect" id="node11" href="printmatinfo_8c.html#ad26766c91dfc88c559fd736d1bb6e064" title="PrintMatInfo" alt="" coords="277,137,371,167"/><area shape="rect" id="node18" href="solidangle_8c.html#a1e2c6c7a1101373c5702b927ca66405f" title="SolidAngle" alt="" coords="283,58,365,89"/></map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="bmatrix_8c_a02081555af5c4ef64cc4674f52b4d446_icgraph.png" border="0" usemap="#bmatrix_8c_a02081555af5c4ef64cc4674f52b4d446_icgraph_map" alt=""></div>
<map name="bmatrix_8c_a02081555af5c4ef64cc4674f52b4d446_icgraph_map" id="bmatrix_8c_a02081555af5c4ef64cc4674f52b4d446_icgraph">
<area shape="rect" id="node3" href="hdemag_8c.html#a550cd909b1c224ef8c259dd68298e50a" title="Hdemag_Init" alt="" coords="121,249,215,279"/><area shape="rect" id="node5" href="hdemag_8c.html#a8e779a08a066fda9160df1a7e5102a58" title="Hdemag" alt="" coords="265,249,335,279"/><area shape="rect" id="node7" href="htot_8c.html#ab9d30ce64708afeca163280386deb654" title="Htot" alt="" coords="385,210,431,241"/><area shape="rect" id="node42" href="htot_8c.html#a270a74fb6c65379e026cfb5c4de11443" title="Htot_Gradient" alt="" coords="481,301,583,331"/><area shape="rect" id="node9" href="llg_8h.html#aa814b25d7c7a65198ca75426fb6d7403" title="calc_dMdt" alt="" coords="491,118,573,149"/><area shape="rect" id="node13" href="parinit_8c.html#aab78598aa0d3ece1097d988997f0aea3" title="ParInit" alt="" coords="1349,197,1408,227"/><area shape="rect" id="node38" href="eminisolve_8c.html#a17d21e725c11c8a2fade9a2d83d98047" title="EminiSolve" alt="" coords="1193,90,1279,121"/><area shape="rect" id="node48" href="precond_8c.html#a8cdc0d7af89d96e9d57fc6c0f791331f" title="Precond" alt="" coords="497,197,567,227"/><area shape="rect" id="node11" href="checkiterationllg_8c.html#a5433821a82b3ad3af34bb43677541a33" title="CheckIterationLLG" alt="" coords="1172,143,1300,174"/><area shape="rect" id="node20" href="eminisolve_8c.html#a5eef315eb34f052b9e148bd70caaea92" title="ConvTest" alt="" coords="661,146,739,177"/><area shape="rect" id="node25" href="rhsfunction_8c.html#a5e964b5572e1640d9a793c353f6a28f6" title="RHSfunction" alt="" coords="653,93,747,123"/><area shape="rect" id="node17" href="main_8c.html#af91d94707b6b88920418dfb69be0e106" title="Solve" alt="" coords="1352,143,1405,174"/><area shape="rect" id="node15" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="1456,170,1507,201"/><area shape="rect" id="node22" href="eminisolve_8c.html#a7be0557728f95ef22f1ba7f2b99b5707" title="myTSCreateEmini" alt="" coords="817,301,943,331"/><area shape="rect" id="node27" href="mytscreatepvode_8c.html#a56b55de0386618edfef4220e5b7b078a" title="PVodeInit" alt="" coords="841,197,919,227"/><area shape="rect" id="node32" href="mytscreatepvode_8c.html#a4ca0e9d74cde3d8e01ad9701426444da" title="PVodeReInit" alt="" coords="833,93,927,123"/><area shape="rect" id="node29" href="mytscreatepvode_8c.html#a9671ea286af405e584ae7468a0ce15b3" title="myTSCreatePVode" alt="" coords="992,197,1123,227"/><area shape="rect" id="node34" href="checkiterationllg_8c.html#a4ff7d0e1586041652124b1189f59b881" title="adjtol" alt="" coords="1031,93,1084,123"/><area shape="rect" id="node44" href="eminisolve_8c.html#afdcb9097ab9ba289da2189a2ce6b9385" title="TaoEvalEnergyGrad" alt="" coords="632,301,768,331"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a6ef9ef50f16bc7123b3585a730fa9afa"></a><!-- doxytag: member="bmatrix.c::VertBSA" ref="a6ef9ef50f16bc7123b3585a730fa9afa" args="(GridData *gdata, Vec vertbsa)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int VertBSA </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structGridData.html">GridData</a> *&nbsp;</td>
          <td class="paramname"> <em>gdata</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Vec&nbsp;</td>
          <td class="paramname"> <em>vertbsa</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="bmatrix_8c_source.html#l00028">28</a> of file <a class="el" href="bmatrix_8c_source.html">bmatrix.c</a>.</p>

<p>References <a class="el" href="griddata_8h_source.html#l00188">GridData::elevert</a>, <a class="el" href="griddata_8h_source.html#l00172">GridData::ln_ele</a>, <a class="el" href="griddata_8h_source.html#l00075">MagparFunctionLogBegin</a>, <a class="el" href="griddata_8h_source.html#l00076">MagparFunctionLogReturn</a>, <a class="el" href="griddata_8h_source.html#l00093">ND</a>, <a class="el" href="griddata_8h_source.html#l00094">NV</a>, <a class="el" href="solidangle_8c_source.html#l00049">SolidAngle()</a>, and <a class="el" href="griddata_8h_source.html#l00178">GridData::vertxyz</a>.</p>

<p>Referenced by <a class="el" href="bmatrix_8c_source.html#l00064">BMatrix()</a>.</p>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="bmatrix_8c_a6ef9ef50f16bc7123b3585a730fa9afa_cgraph.png" border="0" usemap="#bmatrix_8c_a6ef9ef50f16bc7123b3585a730fa9afa_cgraph_map" alt=""></div>
<map name="bmatrix_8c_a6ef9ef50f16bc7123b3585a730fa9afa_cgraph_map" id="bmatrix_8c_a6ef9ef50f16bc7123b3585a730fa9afa_cgraph">
<area shape="rect" id="node3" href="solidangle_8c.html#a1e2c6c7a1101373c5702b927ca66405f" title="SolidAngle" alt="" coords="127,5,209,35"/><area shape="rect" id="node5" href="solidangle_8c.html#a11f1b219c8bea88b0d4efaa49d9e109e" title="PointFromPlane" alt="" coords="260,5,372,35"/></map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="bmatrix_8c_a6ef9ef50f16bc7123b3585a730fa9afa_icgraph.png" border="0" usemap="#bmatrix_8c_a6ef9ef50f16bc7123b3585a730fa9afa_icgraph_map" alt=""></div>
<map name="bmatrix_8c_a6ef9ef50f16bc7123b3585a730fa9afa_icgraph_map" id="bmatrix_8c_a6ef9ef50f16bc7123b3585a730fa9afa_icgraph">
<area shape="rect" id="node3" href="field_8h.html#acd4f9c6dd876dbb0affeca8be96ee4b4" title="BMatrix" alt="" coords="125,249,192,279"/><area shape="rect" id="node5" href="hdemag_8c.html#a550cd909b1c224ef8c259dd68298e50a" title="Hdemag_Init" alt="" coords="241,249,335,279"/><area shape="rect" id="node7" href="hdemag_8c.html#a8e779a08a066fda9160df1a7e5102a58" title="Hdemag" alt="" coords="385,249,455,279"/><area shape="rect" id="node9" href="htot_8c.html#ab9d30ce64708afeca163280386deb654" title="Htot" alt="" coords="505,210,551,241"/><area shape="rect" id="node44" href="htot_8c.html#a270a74fb6c65379e026cfb5c4de11443" title="Htot_Gradient" alt="" coords="601,301,703,331"/><area shape="rect" id="node11" href="llg_8h.html#aa814b25d7c7a65198ca75426fb6d7403" title="calc_dMdt" alt="" coords="611,118,693,149"/><area shape="rect" id="node15" href="parinit_8c.html#aab78598aa0d3ece1097d988997f0aea3" title="ParInit" alt="" coords="1469,197,1528,227"/><area shape="rect" id="node40" href="eminisolve_8c.html#a17d21e725c11c8a2fade9a2d83d98047" title="EminiSolve" alt="" coords="1313,90,1399,121"/><area shape="rect" id="node50" href="precond_8c.html#a8cdc0d7af89d96e9d57fc6c0f791331f" title="Precond" alt="" coords="617,197,687,227"/><area shape="rect" id="node13" href="checkiterationllg_8c.html#a5433821a82b3ad3af34bb43677541a33" title="CheckIterationLLG" alt="" coords="1292,143,1420,174"/><area shape="rect" id="node22" href="eminisolve_8c.html#a5eef315eb34f052b9e148bd70caaea92" title="ConvTest" alt="" coords="781,146,859,177"/><area shape="rect" id="node27" href="rhsfunction_8c.html#a5e964b5572e1640d9a793c353f6a28f6" title="RHSfunction" alt="" coords="773,93,867,123"/><area shape="rect" id="node19" href="main_8c.html#af91d94707b6b88920418dfb69be0e106" title="Solve" alt="" coords="1472,143,1525,174"/><area shape="rect" id="node17" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="1576,170,1627,201"/><area shape="rect" id="node24" href="eminisolve_8c.html#a7be0557728f95ef22f1ba7f2b99b5707" title="myTSCreateEmini" alt="" coords="937,301,1063,331"/><area shape="rect" id="node29" href="mytscreatepvode_8c.html#a56b55de0386618edfef4220e5b7b078a" title="PVodeInit" alt="" coords="961,197,1039,227"/><area shape="rect" id="node34" href="mytscreatepvode_8c.html#a4ca0e9d74cde3d8e01ad9701426444da" title="PVodeReInit" alt="" coords="953,93,1047,123"/><area shape="rect" id="node31" href="mytscreatepvode_8c.html#a9671ea286af405e584ae7468a0ce15b3" title="myTSCreatePVode" alt="" coords="1112,197,1243,227"/><area shape="rect" id="node36" href="checkiterationllg_8c.html#a4ff7d0e1586041652124b1189f59b881" title="adjtol" alt="" coords="1151,93,1204,123"/><area shape="rect" id="node46" href="eminisolve_8c.html#afdcb9097ab9ba289da2189a2ce6b9385" title="TaoEvalEnergyGrad" alt="" coords="752,301,888,331"/></map>
</div>
</p>

</div>
</div>
</div>
  <hr>
  <address>
    magpar - Parallel Finite Element Micromagnetics Package<br>
    Copyright (C) 2002-2010 Werner Scholz
  </address>
  </body>
</html>

